Debian Bug report logs - #426259
ITP: libspring-2.5-java -- layered Java/J2EE application framework

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Torsten Werner <twerner@debian.org>

Date: Sun, 27 May 2007 14:45:02 UTC

Owned by: Andreas Schildbach <andreas@schildbach.de>

Severity: wishlist

Fixed in version 2.5.6.SEC01-1

Done: "Damien Raude-Morvan" <drazzib@drazzib.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, twerner@debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, torsten werner <twerner@debian.org>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
New Bug report received and forwarded. Copy sent to twerner@debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, torsten werner <twerner@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: springframework -- layered Java/J2EE application framework
Date: Sun, 27 May 2007 16:43:01 +0200
Package: wnpp
Severity: wishlist
Owner: Torsten Werner <twerner@debian.org>

* Package name    : springframework
  Version         : 2.0.5
  Upstream Author : Interface21
* URL             : http://www.springframework.org/
* License         : Apache 2.0
  Programming Lang: Java
  Description     : layered Java/J2EE application framework
 Springs mission are:
  - J2EE should be easier to use.
  - It's best to program to interfaces, rather than classes. Spring
    reduces the complexity cost of using interfaces to zero.
  - JavaBeans offer a great way of configuring applications.
  - OO design is more important than any implementation technology, such
    as J2EE.
  - Checked exceptions are overused in Java. A framework shouldn't force
    you to catch exceptions you're unlikely to be able to recover from.
  - Testability is essential, and a framework such as Spring should help
    make your code easier to test.




Blocking bugs of 424880 added: 426259 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 27 May 2007 14:57:03 GMT) Full text and rfc822 format available.

Blocking bugs of 426259 added: 385569, 386101, 386103, 281346, and 426159 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 27 May 2007 14:57:05 GMT) Full text and rfc822 format available.

Blocking bugs of 426259 added: 426298 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 27 May 2007 20:36:02 GMT) Full text and rfc822 format available.

Blocking bugs of 426259 added: 426315 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sun, 27 May 2007 21:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, torsten werner <twerner@debian.org>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Arnaud Vandyck" <avandyck@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, torsten werner <twerner@debian.org>. Full text and rfc822 format available.

Message #18 received at 426259@bugs.debian.org (full text, mbox):

From: "Arnaud Vandyck" <avandyck@gmail.com>
To: "Torsten Werner" <twerner@debian.org>, 426259@bugs.debian.org
Subject: Re: Bug#426259: ITP: springframework -- layered Java/J2EE application framework
Date: Mon, 28 May 2007 11:46:50 +0200
On 5/27/07, Torsten Werner <twerner@debian.org> wrote:
> * Package name    : springframework

Hourra! :-D

-- 
Arnaud Vandyck



Information stored:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Torsten Werner" <mail.twerner@googlemail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 426259-quiet@bugs.debian.org (full text, mbox):

From: "Torsten Werner" <mail.twerner@googlemail.com>
To: "Arnaud Vandyck" <avandyck@gmail.com>, 426259-quiet@bugs.debian.org
Subject: Re: Bug#426259: ITP: springframework -- layered Java/J2EE application framework
Date: Thu, 31 May 2007 11:54:54 +0000
Hi Arnaud,

On 5/28/07, Arnaud Vandyck <avandyck@gmail.com> wrote:
> Hourra! :-D

it needs a lot of Build-Depends, please see
http://code.google.com/p/bollin/wiki/TODO to get a picture.


Cheers,
Torsten

-- 
blog: http://twerner.blogspot.com/
homepage: http://www.twerner42.de/



Blocking bugs of 426259 added: 427208 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2007 12:33:05 GMT) Full text and rfc822 format available.

Blocking bugs of 426259 added: 427255 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2007 19:12:08 GMT) Full text and rfc822 format available.

Blocking bugs of 426259 added: 370696 Request was from Torsten Werner <twerner@debian.org> to control@bugs.debian.org. (Mon, 04 Jun 2007 07:30:03 GMT) Full text and rfc822 format available.

Information stored:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #34 received at 426259-quiet@bugs.debian.org (full text, mbox):

From: "Torsten Werner" <twerner@debian.org>
To: 424880-quiet@bugs.debian.org, 426259-quiet@bugs.debian.org, 281346-quiet@bugs.debian.org
Subject: change ITP to RFP
Date: Wed, 8 Aug 2007 13:35:08 +0200
unblock 423608 by 424880
retitle 424880 RFP: libl2fprod-common-java -- additional Java
components for modern user interfaces
noowner 424880
retitle 426259 RFP: springframework -- layered Java/J2EE application framework
noowner 426259
retitle 281346 RFP: libjasperreports-java -- A Java reporting library
noowner 281346
thanks

We don't need this package any more for jajuk. That is why I am
changing the ITP to a RFP.

Cheers,
Torsten


-- 
blog: http://twerner.blogspot.com/
homepage: http://www.twerner42.de/



Changed Bug title to `RFP: springframework -- layered Java/J2EE application framework' from `ITP: springframework -- layered Java/J2EE application framework'. Request was from "Torsten Werner" <twerner@debian.org> to control@bugs.debian.org. (Wed, 08 Aug 2007 12:15:05 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by torsten werner <twerner@debian.org>. Request was from "Torsten Werner" <twerner@debian.org> to control@bugs.debian.org. (Wed, 08 Aug 2007 12:15:05 GMT) Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Torsten Werner <twerner@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 426259-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 426259-done@bugs.debian.org
Subject: WNPP bug closing
Date: Fri, 08 Aug 2008 11:59:50 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 426259
 stop

Further comments on the work done in the bug sent to
426259@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Bug reopened, originator not changed. Request was from "Torsten Werner" <twerner@debian.org> to control@bugs.debian.org. (Sat, 30 Aug 2008 11:00:06 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: springframework -- layered Java/J2EE application framework' from `RFP: springframework -- layered Java/J2EE application framework'. Request was from "Torsten Werner" <twerner@debian.org> to control@bugs.debian.org. (Sat, 30 Aug 2008 11:00:07 GMT) Full text and rfc822 format available.

Owner recorded as Andreas Schildbach <andreas@schildbach.de>. Request was from "Torsten Werner" <twerner@debian.org> to control@bugs.debian.org. (Sat, 30 Aug 2008 11:00:07 GMT) Full text and rfc822 format available.

Information stored:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to mail.twerner@googlemail.com:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #54 received at 426259-quiet@bugs.debian.org (full text, mbox):

From: "Torsten Werner" <twerner@debian.org>
To: "Debian Bug Tracking System" <control@bugs.debian.org>, 426259-quiet@bugs.debian.org
Subject: Bug #426259: ITP: springframework -- layered Java/J2EE application framework
Date: Sat, 30 Aug 2008 12:48:53 +0200
reopen 426259
retitle 426259 ITP: springframework -- layered Java/J2EE application framework
owner 426259 Andreas Schildbach <andreas@schildbach.de>
thanks

Andreas is willing to help with the package.

Torsten

-- 
http://twerner.blogspot.com




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>. Full text and rfc822 format available.

Message #59 received at 426259@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@drazzib.com>
To: 426259@bugs.debian.org
Cc: "Torsten Werner" <twerner@debian.org>
Subject: Re: Bug#426259: Bug #426259: ITP: springframework -- layered Java/J2EE application framework
Date: Mon, 1 Sep 2008 20:45:51 +0200
[Message part 1 (text/plain, inline)]
Hi,

Le Saturday 30 August 2008 12:48:53 Torsten Werner, vous avez écrit :
> reopen 426259
> retitle 426259 ITP: springframework -- layered Java/J2EE application
> framework owner 426259 Andreas Schildbach <andreas@schildbach.de>
> thanks
>
> Andreas is willing to help with the package.

I recently had a look to Springframework and I think it's a really big package 
for one man alone : 1600+ Java source file and 80+ Build-Depends.

I'm willing to help too, could we make a team to work on this package ?

Cheers,
-- 
Damien Raude-Morvan / www.drazzib.com

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Schildbach <andreas@schildbach.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #64 received at 426259@bugs.debian.org (full text, mbox):

From: Andreas Schildbach <andreas@schildbach.de>
To: 426259@bugs.debian.org
Subject: Re: Bug#426259: Bug #426259: ITP: springframework -- layered Java/J2EE application framework
Date: Mon, 01 Sep 2008 22:07:31 +0200
Hi Damien,

> I'm willing to help too, could we make a team to work on this package ?

Glad you are asking. I have already uploaded a very rough first version
of the Debian package to mentors.debian.net:

- URL: http://mentors.debian.net/debian/pool/main/l/libspring-2.5-java
- Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/l/libspring-2.5-java/libspring-2.5-java_2.5.5-1.dsc

I have identified most - if not all - build/runtime dependencies that are already included in the Debian archive (see debian/control).

Unfortunately, there are still loads of dependencies not in the archive, some of which probably never will (e.g. SUN licence, does it permit redistribution at all?)
But those that can be packaged should probably be packaged soon. Maybe you want to take this task? I will compile a list and attach it to this task.

Regards,

Andreas






Blocking bugs of 426259 added: 497437 and 497436 Request was from Damien Raude-Morvan <drazzib@drazzib.com> to control@bugs.debian.org. (Mon, 01 Sep 2008 20:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>. Full text and rfc822 format available.

Message #71 received at 426259@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@drazzib.com>
To: 426259@bugs.debian.org, Andreas Schildbach <andreas@schildbach.de>
Cc: debian-java@lists.debian.org
Subject: Re: Bug#426259: ITP: springframework -- layered Java/J2EE application framework
Date: Tue, 2 Sep 2008 00:42:11 +0200
[Message part 1 (text/plain, inline)]
Le Monday 01 September 2008 22:07:31 Andreas Schildbach, vous avez écrit :
> Hi Damien,

Hi Andreas,

> > I'm willing to help too, could we make a team to work on this package ?
>
> Glad you are asking. I have already uploaded a very rough first version
> of the Debian package to mentors.debian.net:
>
> - URL: http://mentors.debian.net/debian/pool/main/l/libspring-2.5-java
> - Source repository: deb-src http://mentors.debian.net/debian unstable main
> contrib non-free - dget
> http://mentors.debian.net/debian/pool/main/l/libspring-2.5-java/libspring-2
>.5-java_2.5.5-1.dsc
>
> I have identified most - if not all - build/runtime dependencies that are
> already included in the Debian archive (see debian/control).

I had a look at your package and I've compared your B-D field with my homemade 
listing. Here is the diff :
+antlr
+aspectj
+bsh
+glassfish-javaee
+glassfish-mail
+junit
+junit4
+libcglib2.1-java
+libcommons-beanutils-java
+libcommons-codec-java
+libcommons-dbcp-java
+libcommons-digester-java
+libcommons-discovery-java
+libcommons-io-java
+libcommons-lang-java
+libcommons-validator-java
+libeasymock-java
+libehcache-java
-libgnumail-java
+libhibernate3-java
+libhsqldb-java
+libibatis-java
+libjarjar-java
+libjaxen-java
-libservlet2.4-java
+libmx4j-java
+libqdox-java
+libquartz-java
+libslf4j-java
+libtiles-java
+libvelocity-tools-java
+libwsdl4j-java

Has you can see, I'm trying to build every single module of spring 2.5 source 
code :)

1) You can observe I'm using glassfish-javaee instead of libservlet2.4-
java+libgnumail-java because glassfish-javaee include many more api (JTA, JSP, 
Activation, EJB3, JMS, etc...)

2) I'm currently packaging libvelocity-tools-java (ITP #497436) and libtiles-
java (ITP #497437). I've set them as blocker for this bug.

> Unfortunately, there are still loads of dependencies not in the archive,
> some of which probably never will (e.g. SUN licence, does it permit
> redistribution at all?)

You're right. We have to strip some part of springframework until someone re-
licence them under a DFSG licence (for example Sun JSF + Portlet API, 
Websphere, OC4J, etc...).

Here is my list of removed JAR due to licencing problems :
- commonj-twm.jar
- websphere_uow_api.jar
- portlet-api.jar
- oc4j-clapi.jar

So that, I've removed the following files/directories from orig.tar.gz :
org/springframework/web/portlet
org/springframework/transaction/jta
  - WebSphereUowTransactionManager.java
  - WebSphereTransactionManagerFactoryBean.java
  - JotmFactoryBean.java
org/springframework/scheduling/commonj
org/springframework/jdbc/support/nativejdbc/XAPoolNativeJdbcExtractor.java

I've also patched 
org/springframework/scripting/support/ScriptFactoryPostProcessor.java
to use import org.objectweb.asm.Type instead of net.sf.cglib.asm.Type

> But those that can be packaged should probably be
> packaged soon. Maybe you want to take this task? I will compile a list and
> attach it to this task.

I'm currently working on libvelocity-tools-java, libtiles-java, bnd, 
jasperreports.

Cheers,
-- 
Damien Raude-Morvan / www.drazzib.com

[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 426259 added: 281346 Request was from "Damien Raude-Morvan" <drazzib@drazzib.com> to control@bugs.debian.org. (Mon, 01 Sep 2008 23:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Schildbach <andreas@schildbach.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #78 received at 426259@bugs.debian.org (full text, mbox):

From: Andreas Schildbach <andreas@schildbach.de>
To: 426259@bugs.debian.org
Subject: Re: Bug#426259: ITP: springframework -- layered Java/J2EE application framework
Date: Tue, 02 Sep 2008 09:52:28 +0200
Hi Damien,

thanks for your update.

> 1) You can observe I'm using glassfish-javaee instead of libservlet2.4-
> java+libgnumail-java because glassfish-javaee include many more api (JTA, JSP, 
> Activation, EJB3, JMS, etc...)

This is what I am doing, too. Have you looked at (hacks to) build.xml?
This file is kind of documenting for each dependency from where it is
currently included (no more broad patterns for now).

However, with Servlet API included in Glassfish I had an API
incompatibility (compile error) to somewhere in the tiger build. This is
why I am including Servlet 2.4 as well.

> 2) I'm currently packaging libvelocity-tools-java (ITP #497436) and libtiles-
> java (ITP #497437). I've set them as blocker for this bug.

Actually, Tiles1 included with Struts is sufficient to compile.

> > Unfortunately, there are still loads of dependencies not in the archive,
> > some of which probably never will (e.g. SUN licence, does it permit
> > redistribution at all?)
> 
> You're right. We have to strip some part of springframework until someone re-
> licence them under a DFSG licence (for example Sun JSF + Portlet API, 
> Websphere, OC4J, etc...).

I will setup a rule in d-r that automates the stripping. However, for
the Spring source filed, I'd prefer to exclude them from the build,
rather than delete them from the orig's.

I will also setup one of the patch systems (dpatch or quilt) - I guess
we should prepare one patch per library removed. So if a library becomes
available under a free license, we just have to remove the patch.

Maybe we should also use a version control system. I was thinking about
Subversion, because I know it very well. And I have a server at hand.
What do you think?

Best regards,

Andreas






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>. Full text and rfc822 format available.

Message #83 received at 426259@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@drazzib.com>
To: Andreas Schildbach <andreas@schildbach.de>, 426259@bugs.debian.org
Subject: Re: Bug#426259: ITP: springframework -- layered Java/J2EE application framework
Date: Tue, 2 Sep 2008 23:38:41 +0200
Le Tuesday 02 September 2008 09:52:28 Andreas Schildbach, vous avez écrit :
> Hi Damien,
>
> thanks for your update.
>
> > 1) You can observe I'm using glassfish-javaee instead of libservlet2.4-
> > java+libgnumail-java because glassfish-javaee include many more api (JTA,
> > JSP, Activation, EJB3, JMS, etc...)
>
> This is what I am doing, too. Have you looked at (hacks to) build.xml?
> This file is kind of documenting for each dependency from where it is
> currently included (no more broad patterns for now).

Okay, I haven't see your patch to build.xml :)

> > > Unfortunately, there are still loads of dependencies not in the
> > > archive, some of which probably never will (e.g. SUN licence, does it
> > > permit redistribution at all?)
> >
> > You're right. We have to strip some part of springframework until someone
> > re- licence them under a DFSG licence (for example Sun JSF + Portlet API,
> > Websphere, OC4J, etc...).

> I will also setup one of the patch systems (dpatch or quilt) - I guess
> we should prepare one patch per library removed. So if a library becomes
> available under a free license, we just have to remove the patch.

You can convert your debian diff.gz to patches using diff2patches and now use 
dpatch to apply/unapply them (modifying debian/control and debian/rules).

> I will setup a rule in d-r that automates the stripping. However, for
> the Spring source file, I'd prefer to exclude them from the build,
> rather than delete them from the orig's.

You're right, we must exclude them from build. But we may strip JAR files from 
orig.tar.gz : there is 43Mb of JAR which is really insane ;)

> Maybe we should also use a version control system. I was thinking about
> Subversion, because I know it very well. And I have a server at hand.
> What do you think?

I also think we need a version control system. Subversion is fine for me.

Cheers,
-- 
Damien Raude-Morvan / www.drazzib.com





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Schildbach <andreas@schildbach.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #88 received at 426259@bugs.debian.org (full text, mbox):

From: Andreas Schildbach <andreas@schildbach.de>
To: 426259@bugs.debian.org
Subject: SVN Repository
Date: Wed, 03 Sep 2008 01:12:00 +0200
I have set up the repository at

  http://dev.schildbach.de/svn/debian/

This one is public read-only. We can work out commit access tomorrow, if
you want.

Right now, it contains only my changes - not yours. I also did not have
time to setup a patch system yet (btw. would you prefer quilt or
dpatch?)

Let me know, if there is something terribly wrong with repository
setup/layout. Right now, it's still easy to set it up from scratch again
(-:






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>. Full text and rfc822 format available.

Message #93 received at 426259@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: 426259@bugs.debian.org
Subject: ITP: springframework -- layered Java/J2EE application framework
Date: Wed, 03 Sep 2008 15:46:38 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Please consider joining the Debian Java team [1] and putting your work
in the our svn repository [2]. It will be easier for other developers to
work on the packages.

[1] http://pkg-java.alioth.debian.org/
[2] http://svn.debian.org/wsvn/pkg-java
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAki+lToACgkQXjXn6TzcAQnAKACbB3nHU76aeeeSFvNTKRKwtNqo
eVQAoPopdlvg/YK7YconHt41ipbMZEVe
=KVWN
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Andreas Schildbach <andreas@schildbach.de>. Full text and rfc822 format available.

Message #98 received at 426259@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@drazzib.com>
To: 426259@bugs.debian.org, Andreas Schildbach <andreas@schildbach.de>
Subject: Re: Bug#426259: SVN Repository
Date: Wed, 3 Sep 2008 19:44:58 +0200
[Message part 1 (text/plain, inline)]
Le mercredi 3 septembre 2008 01:12:00 Andreas Schildbach, vous avez écrit :
> I have set up the repository at
>
>   http://dev.schildbach.de/svn/debian/
>
> This one is public read-only. We can work out commit access tomorrow, if
> you want.

Fine ! Could you provide a write access ?

> Right now, it contains only my changes - not yours. I also did not have
> time to setup a patch system yet (btw. would you prefer quilt or
> dpatch?)

I'm experienced with dpatch (for example using dpatch with svn-buildpackage 
and mergeWithUpstream=1) and I don't know quilt very well. So I tend to prefer 
using dpatch but YMMV.

> Let me know, if there is something terribly wrong with repository
> setup/layout. Right now, it's still easy to set it up from scratch again
> (-:

The branches/upstream/x is uneeded and trunk/build.xml should be removed after 
converting it to a patch system  (hint :)

Regards,
-- 
Damien Raude-Morvan / www.drazzib.com

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#426259; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Schildbach <andreas@schildbach.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #103 received at 426259@bugs.debian.org (full text, mbox):

From: Andreas Schildbach <andreas@schildbach.de>
To: 426259@bugs.debian.org
Date: Sun, 14 Sep 2008 20:50:34 +0200
block 426259 with 480132





Information stored :
Bug#426259; Package wnpp. (Sun, 21 Sep 2008 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Torsten Werner" <mail.twerner@googlemail.com>:
Extra info received and filed, but not forwarded. (Sun, 21 Sep 2008 08:57:04 GMT) Full text and rfc822 format available.

Message #108 received at 426259-quiet@bugs.debian.org (full text, mbox):

From: "Torsten Werner" <mail.twerner@googlemail.com>
To: "Damien Raude-Morvan" <drazzib@drazzib.com>
Cc: 426259-quiet@bugs.debian.org
Subject: Re: Bug#426259: Bug #426259: ITP: springframework -- layered Java/J2EE application framework
Date: Sun, 21 Sep 2008 10:56:24 +0200
Hi,

On Mon, Sep 1, 2008 at 8:45 PM, Damien Raude-Morvan <drazzib@drazzib.com> wrote:
> I'm willing to help too, could we make a team to work on this package ?

sure! I am just back from vacations and I have a big backlog of tasks.
Please give me some time.

Cheers,
Torsten

-- 
http://twerner.blogspot.com




Blocking bugs of 503594 added: 425152, 494674, and 426259 Request was from Damien Raude-Morvan <drazzib@drazzib.com> to control@bugs.debian.org. (Sun, 26 Oct 2008 22:36:08 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: libspring-2.5-java -- layered Java/J2EE application framework' from `ITP: springframework -- layered Java/J2EE application framework'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 20 Feb 2009 05:51:03 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 20 Feb 2009 07:06:04 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 03 Apr 2009 21:36:18 GMT) Full text and rfc822 format available.

Reply sent to "Damien Raude-Morvan" <drazzib@drazzib.com>:
You have taken responsibility. (Fri, 07 Aug 2009 23:03:04 GMT) Full text and rfc822 format available.

Notification sent to Torsten Werner <twerner@debian.org>:
Bug acknowledged by developer. (Fri, 07 Aug 2009 23:03:04 GMT) Full text and rfc822 format available.

Message #121 received at 426259-done@bugs.debian.org (full text, mbox):

From: "Damien Raude-Morvan" <drazzib@drazzib.com>
To: 426259-done@bugs.debian.org
Subject: Spring Framework 2.5.6 accepted in sid
Date: Sat, 8 Aug 2009 00:55:59 +0200
[Message part 1 (text/plain, inline)]
Version: 2.5.6.SEC01-1

Spring Framework 2.5.6 accepted in sid.

-- 
Damien Raude-Morvan / www.drazzib.com
[libspring-2.5-java_2.5.6.SEC01-1_amd64.changes (application/pgp-signature, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Sep 2009 07:35:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:11:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.